| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
RecordPlayback.h File Reference

For recording and playback functions. More...

`#include "ObTypes.h"`

Go to the source code of this file.

## Functions
ob_recorder * | ob_create_recorder (ob_error **error)
| Create a recorder for data recording. More...
ob_recorder * | ob_create_recorder_with_device (ob_device *dev, ob_error **error)
| Create a recorder for data recording. More...
void | ob_delete_recorder (ob_recorder *recorder, ob_error **error)
| delete recorder object More...
void | ob_recorder_start (ob_recorder *recorder, const char *filename, bool async, ob_error **error)
| start recording More...
void | ob_recorder_stop (ob_recorder *recorder, ob_error **error)
| stop recording More...
void | ob_recorder_write_frame (ob_recorder *recorder, ob_frame *frame, ob_error **error)
| Write frame data to the recorder. More...
ob_playback * | ob_create_playback (const char *filename, ob_error **error)
| Create playback object. More...
void | ob_delete_playback (ob_playback *playback, ob_error **error)
| delete playback object More...
void | ob_playback_start (ob_playback *playback, ob_playback_callback callback, void *user_data, ob_media_type type, ob_error **error)
| Start playback, playback data is returned from the callback. More...
void | ob_playback_stop (ob_playback *playback, ob_error **error)
| stop playback More...
void | ob_set_playback_state_callback (ob_playback *playback, ob_media_state_callback callback, void *user_data, ob_error **error)
| Set playback state. More...
ob_device_info * | ob_playback_get_device_info (ob_playback *playback, ob_error **error)
| Get the device information in the recording file. More...
ob_camera_param | ob_playback_get_camera_param (ob_playback *playback, ob_error **error)
| Get the intrinsic and extrinsic parameter information in the recording file. More...

## Detailed Description

For recording and playback functions.

Definition in file RecordPlayback.h.

## Function Documentation

ob_recorder* ob_create_recorder | ( | ob_error ** | error | ) |

Create a recorder for data recording.

Parameters

  [out] | error | log error messages

Returns
  ob_recorder* returns the recorder object

ob_recorder* ob_create_recorder_with_device | ( | ob_device * | dev,
|  | ob_error ** | error
| ) |  |

Create a recorder for data recording.

Parameters

  | dev | The device object used to create the recorder
  [out] | error | log error messages

Returns
  ob_recorder* returns the recorder object

void ob_delete_recorder | ( | ob_recorder * | recorder,
|  | ob_error ** | error
| ) |  |

delete recorder object

Parameters

  | recorder | recorder object
  [out] | error | log error messages

void ob_recorder_start | ( | ob_recorder * | recorder,
|  | const char * | filename,
|  | bool | async,
|  | ob_error ** | error
| ) |  |

start recording

Parameters

  [in] | recorder | recorder object
  [in] | filename | Recorded file name
  [in] | async | Whether to record asynchronously
  [out] | error | log error messages

void ob_recorder_stop | ( | ob_recorder * | recorder,
|  | ob_error ** | error
| ) |  |

stop recording

Parameters

  [in] | recorder | recorder object
  [out] | error | log error messages

void ob_recorder_write_frame | ( | ob_recorder * | recorder,
|  | ob_frame * | frame,
|  | ob_error ** | error
| ) |  |

Write frame data to the recorder.

Parameters

  [in] | recorder | recorder object
  [in] | frame | Write frame data
  [out] | error | log error messages

ob_playback* ob_create_playback | ( | const char * | filename,
|  | ob_error ** | error
| ) |  |

Create playback object.

Parameters

  [in] | filename | Playback filename
  [out] | error | log error messages

Returns
  ob_playback* returns the playback object

void ob_delete_playback | ( | ob_playback * | playback,
|  | ob_error ** | error
| ) |  |

delete playback object

Parameters

  [in] | playback | playback object
  [out] | error | log error messages

void ob_playback_start | ( | ob_playback * | playback,
|  | ob_playback_callback | callback,
|  | void * | user_data,
|  | ob_media_type | type,
|  | ob_error ** | error
| ) |  |

Start playback, playback data is returned from the callback.

Parameters

  [in] | playback | playback object
  [in] | callback | Callback for playback data
  [in] | user_data | User data
  [in] | type | Type of playback data
  [out] | error | log error messages

void ob_playback_stop | ( | ob_playback * | playback,
|  | ob_error ** | error
| ) |  |

stop playback

Parameters

  [in] | playback | playback object
  [out] | error | log error messages

void ob_set_playback_state_callback | ( | ob_playback * | playback,
|  | ob_media_state_callback | callback,
|  | void * | user_data,
|  | ob_error ** | error
| ) |  |

Set playback state.

Parameters

  [in] | playback | playback object
  [in] | callback | playback status callback
  [in] | user_data | User data
  [out] | error | log error messages

ob_device_info* ob_playback_get_device_info | ( | ob_playback * | playback,
|  | ob_error ** | error
| ) |  |

Get the device information in the recording file.

Parameters

  [in] | playback | playback object
  [out] | error | log error messages

Returns
  ob_device_info* returns device information

ob_camera_param ob_playback_get_camera_param | ( | ob_playback * | playback,
|  | ob_error ** | error
| ) |  |

Get the intrinsic and extrinsic parameter information in the recording file.

Parameters

  [in] | playback | playback object
  [out] | error | log error messages

Returns
  ob_camera_param returns internal and external parameter information